Debian Bug report logs - #183557
RFP: kernel-patch-non-free-drivers -- Non-DFSG Linux Kernel "bits"

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Drew Scott Daniels <ddaniels@UMAlumni.mb.ca>

Date: Wed, 5 Mar 2003 18:18:03 UTC

Severity: wishlist

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#183557; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Drew Scott Daniels <umdanie8@cc.UManitoba.CA>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
To: submit@bugs.debian.org
Subject: RFP: kernel-patch-non-free-drivers: non-DFSG Linux Kernel "bits"
Date: Wed, 5 Mar 2003 11:46:40 -0600 (CST)
Subject: RFP: kernel-patch-non-free-drivers: non-DFSG Linux Kernel "bits"
Package: wnpp
Version: N/A; reported 2003-03-05
Severity: wishlist

* Package name : kernel-patch-non-free-drivers
* License : Several
SMC Token Ring says it's "strictly for use in conjunction with the use of
SMC TokenRing adapters." The rest are non-free due to no source being
included.
Description: non-free parts of the Linux Kernel
"Non-free bits" were removed from Debian's Linux kernel source and images.
Non-free means that their licenses do are not DFSG compliant (see
http://www.debian.org/social_contract.html#guidelines for details).
As of the writing of this RFP the following bits were removed/disabled:
* Keyspan firmware.
* SMC Token Ring firmware, driver disabled.
* ACENIC firwmare, driver disabled.
* DGRS firmware, driver disabled.
* DAB firmware, driver disabled.

Information about the "bits" and their licenses can be found in bug
#150052 at
http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=150052

Herbert Xu <herbert@debian.org>, the maintainer of various Linux kernel
packages says the recommended way to include these "bits" is to package
them separately.
----------
Date: Wed, 5 Mar 2003 07:24:00 +1100
From: Herbert Xu <herbert@gondor.apana.org.au>
To: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
Subject: Re: Linux kernel

On Tue, Mar 04, 2003 at 12:24:49PM -0600, Drew Scott Daniels wrote:
> In debian/README.Debian it says "Non-free bits removed:...." What is the
> recommended way of including these "bits"?

Well you'll need to find a Debian developper willing to package them
separately.
----------

     Drew Daniels




Changed Bug title. Request was from Uwe Hermann <uh1763@hermann-uwe.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to damog@cerdita.damog.net (David Moreno Garza):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Drew Scott Daniels <umdanie8@cc.UManitoba.CA>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 183557-done@bugs.debian.org (full text, mbox):

From: damog@cerdita.damog.net (David Moreno Garza)
To: 183557-done@bugs.debian.org
Subject: WNPP bug closed
Date: Wed, 14 Sep 2005 21:55:12 -0500 (CDT)
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 600 days.
- It haven't had any activity recently.
- The amount of ITPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

This is the first mass wnpp closing that will be done. The next close
will be done on inactive RFPs older than 450 days and finally, the
ones older than 365 days (an automatic script will close *inactive*
RFPs when they reach one year old).

A similar process is being applied to the ITP wnpp bugs in these
days.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>  Wed, 14 Sep 2005 21:54:42 -0500



Bug reopened, originator set to Drew Scott Daniels <ddaniels@UMAlumni.mb.ca>. Request was from Drew Scott Daniels <ddaniels@UMAlumni.mb.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Drew Scott Daniels <ddaniels@UMAlumni.mb.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 183557-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 183557-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sun, 24 Sep 2006 12:00:00 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 183557
thanks bts

Further comments on the work done in the bug sent to
183557@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from Drew Scott Daniels <ddaniels@UMAlumni.mb.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Drew Scott Daniels <ddaniels@UMAlumni.mb.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 183557-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 183557-done@bugs.debian.org
Subject: WNPP bug closing
Date: Mon, 01 Oct 2007 12:00:29 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 183557
 stop

Further comments on the work done in the bug sent to
183557@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Oct 2007 07:29:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:08:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.